[Regression pre-wmf17] After saving the edit in a page, an empty page shows up in the read mode and upon reopening with VE throws warning in the console
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:
1.Open a page with VE
2.Make some edits
3.Save the page

Observed Result:
In the read mode, it shows up as an empty page and upon reopening with VE it throws the following error.

Value {"warnings":{"main":{"*":"Unrecognized parameter: 'diff'"}},"visualeditoredit":{"content":"<p>sdasd</p>\n<p>wqrqwrddsdasd</p>\n<ul class=\"gallery mw-gallery-traditional\">\n<li class=\"gallerybox\" style=\"width: 155px\">\n<div style=\"width: 155px\">\n<div class=\"thumb\" style=\"height: 150px;\">32424</div>\n<div class=\"gallerytext\"></div>\n</div>\n</li>\n</ul>\n<p>broken</p>\n<table class=\"wikitable\">\n<caption>caption</caption>\n<tr>\n<th>asdasd</th>\n<th></th>\n<th></th>\n<th></th>\n<th></th>\n</tr>\n<tr>\n<td>dsds</td>\n<td></td>\n<td></td>\n<td></td>\n<td></td>\n</tr>\n<tr>\n<td></td>\n<td></td>\n<td></td>\n<td></td>\n<td></td>\n</tr>\n<tr>\n<td></td>\n<td></td>\n<td></td>\n<td></td>\n<td></td>\n</tr>\n<tr>\n<td></td>\n<td></td>\n<td></td>\n<td></td>\n<td></td>\n</tr>\n</table>\n\n\n<!-- \nNewPP limit report\nParsed by deployment‐mediawiki01\nCPU time usage: 0.009 seconds\nReal time usage: 0.012 seconds\nPreprocessor visited node count: 4/1000000\nPreprocessor generated node count: 0/1500000\nPost‐expand include size: 0/2097152 bytes\nTemplate argument size: 0/2097152 bytes\nHighest expansion depth: 2/40\nExpensive parser function count: 0/500\n-->\n\n<!-- \nTransclusion expansion time report (%,ms,calls,template)\n100.00% 0.000 1 - -total\n-->\n","categorieshtml":"<div id='catlinks' class='catlinks'><div id=\"mw-normal-catlinks\" class=\"mw-normal-catlinks\"><a href=\"/wiki/Special:Categories\" title=\"Special:Categories\">Categories</a>: <ul><li><a href=\"/w/index.php?title=Category:Articles_with_missing_files&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Category:Articles with missing files (page does not exist)\">Articles with missing files</a></li></ul></div></div>","basetimestamp":"20150803191839","starttimestamp":"20150803191839","displayTitleHtml":"Newyntltemplate","contentSub":"","lastModified":{"date":"3 August 2015","time":"19:18"},"newrevid":251635,"result":"success"}} is the wrong type for property "page.revid" (integer expected)
load.ph...eHoq/fY (line 156)

[Url exceeds maximum length
load.ph...eHoq/fY (line 156)

Value {"warnings":{"main":{"*":"Unrecognized parameter: 'diff'"}},"visualeditoredit":{"content":"<p>sdasd</p>\n<p>wqrqwrddsdasd</p>\n<ul class=\"gallery mw-gallery-traditional\">\n<li class=\"gallerybox\" style=\"width: 155px\">\n<div style=\"width: 155px\">\n<div class=\"thumb\" style=\"height: 150px;\">32424</div>\n<div class=\"gallerytext\"></div>\n</div>\n</li>\n</ul>\n<p>broken</p>\n<table class=\"wikitable\">\n<caption>caption</caption>\n<tr>\n<th>asdasd</th>\n<th></th>\n<th></th>\n<th></th>\n<th></th>\n</tr>\n<tr>\n<td>dsds</td>\n<td></td>\n<td></td>\n<td></td>\n<td></td>\n</tr>\n<tr>\n<td></td>\n<td></td>\n<td></td>\n<td></td>\n<td></td>\n</tr>\n<tr>\n<td></td>\n<td></td>\n<td></td>\n<td></td>\n<td></td>\n</tr>\n<tr>\n<td></td>\n<td></td>\n<td></td>\n<td></td>\n<td></td>\n</tr>\n</table>\n\n\n<!-- \nNewPP limit report\nParsed by deployment‐mediawiki01\nCPU time usage: 0.009 seconds\nReal time usage: 0.012 seconds\nPreprocessor visited node count: 4/1000000\nPreprocessor generated node count: 0/1500000\nPost‐expand include size: 0/2097152 bytes\nTemplate argument size: 0/2097152 bytes\nHighest expansion depth: 2/40\nExpensive parser function count: 0/500\n-->\n\n<!-- \nTransclusion expansion time report (%,ms,calls,template)\n100.00% 0.000 1 - -total\n-->\n","categorieshtml":"<div id='catlinks' class='catlinks'><div id=\"mw-normal-catlinks\" class=\"mw-normal-catlinks\"><a href=\"/wiki/Special:Categories\" title=\"Special:Categories\">Categories</a>: <ul><li><a href=\"/w/index.php?title=Category:Articles_with_missing_files&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Category:Articles with missing files (page does not exist)\">Articles with missing files</a></li></ul></div></div>","basetimestamp":"20150803191839","starttimestamp":"20150803191839","displayTitleHtml":"Newyntltemplate","contentSub":"","lastModified":{"date":"3 August 2015","time":"19:18"},"newrevid":251635,"result":"success"}} is the wrong type for property "page.revid" (integer expected)
load.ph...eHoq/fY (line 156)

Url exceeds maximum length
load.ph...eHoq/fY (line 156)

Ryasmeen created this task.Aug 3 2015, 7:24 PM
Ryasmeen updated the task description. (Show Details)
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2015, 7:24 PM
Jdforrester-WMF renamed this task from [Regression pre wmf17] After saving the edit in a page, an empty page shows up in the read mode and upon reopening with VE throws warning in the console to [Regression pre-wmf17] After saving the edit in a page, an empty page shows up in the read mode and upon reopening with VE throws warning in the console.Aug 4 2015, 7:01 PM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF triaged this task as Unbreak Now! priority.
Jdforrester-WMF claimed this task.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.